Subject: [TLS] Re: WG Last Call: draft-ietf-tls-mlkem-07 (Ends 2026-02-27)
From: Viktor Dukhovni <[email-masked]>
To: [email-masked]
Date: Sat, 21 Feb 2026 12:38:45 +1100
List-Id: "This is the mailing list for the Transport Layer Security working group of the IETF." <tls.ietf.org>

I support publication as a stable reference for the already allocated
code point that sports multiple implementations.

At least for OpenSSL, I don't expect publication to shift the needle
from "implemented" to "enabled by default" (in clients and servers).
The pure ML-KEM groups are not included in the default supported groups
list and there are no plans to change that.  For a pure ML-KEM group to
be used as the source of the key agreement shared secret it needs to be
explicitly enabled on **both** ends and preferred by whichever side's
preference order is taken into account by the server.

Meanwhile, the X25519MLKEM768 hybrid has been enabled by default for
almost a year, and will surely continue to be far more common in
practice.

-- 
    Viktor.  🇺🇦 Слава Україні!